import java.sql.Connection;
import java.sql.Statement;
import java.sql.ResultSet;
import java.sql.DriverManager;

public class ExcelReader 
{
    public static void main( String [] args )
    {
        Connection c = null;
        Statement stmnt = null;
        try
        {
            Class.forName( "sun.jdbc.odbc.JdbcOdbcDriver" );
            c = DriverManager.getConnection( "jdbc:odbc:qa-list", "", "" );
            stmnt = c.createStatement();
            String query = "select URL from [qas$] where Month='March' and Year=2000;";
            ResultSet rs = stmnt.executeQuery( query );
            
            System.out.println( "Found the following URLs for March 2000:" );
            while( rs.next() )
            {
                System.out.println( rs.getString( "URL" ) );
            }
        }
        catch( Exception e )
        {
            System.err.println( e );
        }
        finally
        {
            try
            {
                stmnt.close();
                c.close();
            }
            catch( Exception e )
            {
                System.err.println( e );
            }
        }
    }
}